%data - ряд значений
%days - количество дней, которые анализируются
%wavetype - тип вейвлета, вводится в кавычках
%prdays - число дней, на которые производится прогноз уровня дисперсии

function [prognoz]=prognoz(data,days,wavetype,prdays);
%y=data';
for ii=2:length(data)
y(ii-1)=log(data(ii)/data(ii-1));
end

lev = wmaxlev (length(y), wavetype);
[C,L]=wavedec(y,lev,wavetype);
A=wrcoef('a',C,L,wavetype,lev); 
for ii=1:lev
   DD=wrcoef('d',C,L,wavetype,ii);
   S(ii)=var(DD);
   %for jj=1:length(y) 
    %D(ii,jj)=DD(1,jj);
    %end
end
[Ea,Ed] = WENERGY(C,L);
for jj=1:days
horiz=wmaxlev(jj,wavetype);
sigma=0;
for ii=1:horiz
    sigma=sigma+S(ii);%*Ed(ii)/100;
end
sigma2(jj)=sqrt(sigma*jj);
sigma1(jj)=sqrt(sigma);
end

%Value at Risk
VaR(1) = portvrisk(mean(y), sigma2(1), 0.01,1);
%VaR1(1)=exp(VaR(1)/y(length(y)))/data(length(data));
for ii=2:prdays
    VaR(ii) = portvrisk(mean(y), sigma2(ii), 0.01,1);
 %   VaR1(ii)=exp(VaR(ii)/Var(ii-1))/VaR1(ii-1);
end
prognoz=[y];
  
figure(1)
subplot (3,1,1)
plot (sigma1), ylabel ('\sigma')
subplot (3,1,2) 
plot (Ed), ylabel ('detail`s energy')
subplot (3,1,3)
plot (S), ylabel ('detail`s variance')

figure(2)
subplot(2,1,1)
plot(data), ylabel('Price'), xlabel('Time,days')
subplot(2,1,2)
plot(VaR), xlabel('Time,days'),ylabel('VaR')



